Transaction History
curl --request GET \
--url https://devapi.withedge.co/gateway/api/v1/account/virtual/transactions/{accountNumber} \
--header 'Authorization: Bearer <token>' \
--header 'requestId: <requestid>'import requests
url = "https://devapi.withedge.co/gateway/api/v1/account/virtual/transactions/{accountNumber}"
headers = {
"requestId": "<requestid>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {requestId: '<requestid>', Authorization: 'Bearer <token>'}
};
fetch('https://devapi.withedge.co/gateway/api/v1/account/virtual/transactions/{accountNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 00,
"message": "Transaction History Successfully Retrieved",
"data": [
{
"amount": "15,000",
"accountNumber": "1158745523",
"accountName": "Bruce Banner",
"sourceAccountNumber": "1234567890",
"sourceAccountName": "Steve Rogers",
"date": "2024-09-10"
}
],
"errors": [],
"currentPage": 1,
"pageSize": 10,
"previousPage": 0,
"total": 2
}
Virtual Accounts
Transaction History
This endpoint enables you to retrieve the transaction history for a virtual account generated by you.
GET
/
account
/
virtual
/
transactions
/
{accountNumber}
Transaction History
Transaction History
Use this endpoint to fetch the transaction history of a specific virtual account. Pagination parameters are supported to handle large datasets.Request Parameters
A unique identifier for the request, used for idempotency.
Example:
Example:
e0b9f8d0-7a57-4a67-a8b2-4d7c7b5a37c9The page number to retrieve for paginated results.
Example:
Example:
1The number of transactions to retrieve per page.
Example:
Example:
10The account number of the virtual account whose transaction history is being requested.
Example:
Example:
1158745523{
"statusCode": 00,
"message": "Transaction History Successfully Retrieved",
"data": [
{
"amount": "15,000",
"accountNumber": "1158745523",
"accountName": "Bruce Banner",
"sourceAccountNumber": "1234567890",
"sourceAccountName": "Steve Rogers",
"date": "2024-09-10"
}
],
"errors": [],
"currentPage": 1,
"pageSize": 10,
"previousPage": 0,
"total": 2
}
Was this page helpful?
⌘I